2019-05-09 02:59:10 UTC
145 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_EXTRA_BUILD_DEPSapache2-dev
PHP_EXTRA_CONFIGURE_ARGS--with-apxs2 --disable-cgi
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -Wl,--hash-style=both -pie
PHP_MD5 PHP_SHA2569970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d
PHP_URLhttps://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror
PHP_VERSION7.2.18
WORDPRESS_SHA1f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
WORDPRESS_VERSION5.1.1
[#000] sha256:3cf56ed221cf05f73233419fcc3a71b0afd424761fc83037e3a5cf101af5df46 - 15.2% (22 MB)
[#001] sha256:e2e394799d7fd8bb494dd3068fa793d651e7ccb426989bd27defd081a6bcc12f - 0.0% (226 Bytes)
[#002] sha256:9d053425c85d9196337b5a25e4b3194f8f91c7540e201df765bb55f179df390d - 47.02% (68.2 MB)
[#003] sha256:375ceda7fc26c2edccb175b8a009dd8db8b6159d82b589045c749fc2a90b409c - 0.0% (236 Bytes)
[#004] sha256:bcee9f239c4761d5fb6def94e207d25f66b6dd1b06aca20ef921f0b7cec5fd2b - 11.54% (16.7 MB)
[#005] sha256:3f37941543cfc620e1f153eec1e6627f09d2995dc4e11881df4b2fec57d024fc - 0.0% (432 Bytes)
[#006] sha256:3e81f09a18a1e21c876bdb2b93ab40c2d32294938c8c14da1306afc78c85dc5b - 0.0% (488 Bytes)
[#007] sha256:a51838654f356e5455289e6a566e70e1dcf8fbb7f2cddc27757511489c8a4865 - 8.23% (11.9 MB)
[#008] sha256:4e83a1be097ba06dd9c045e9d858ef16d7dfcaea2ea8f0a7c03aab056c7ec4e5 - 0.0% (500 Bytes)
[#009] sha256:44ccf0af924d7fde5877252371b3b934464fbb43162d86e493dbff5d0855e272 - 10.32% (15 MB)
[#010] sha256:0bae3e0d9a678f89ab9935758d2c23643b90fc86203ade9e19896a9810210316 - 0.0% (2.15 KB)
[#011] sha256:794620458d3b9ee10b26a830211cffeac76c5cebc292f39dd05b89de92a07c5e - 0.0% (260 Bytes)
[#012] sha256:cb9f2cd6fb034170dd3ce44819ab9d821785167b2eefb1c966230325ba73eee8 - 0.0% (902 Bytes)
[#013] sha256:7607914ccdc3237c4feaecc6cbb92cec053f4e4417949c5f727647d55160a82b - 0.77% (1.11 MB)
[#014] sha256:55fec071d485c1db3f66551ab3c91eebd5ef14673e1df6c85c6c61ea4906a11d - 0.0% (350 Bytes)
[#015] sha256:4786722625aebf1ece95b1369909c08230d8ba3b15d7fae5b6c7ac82be166a64 - 0.0% (344 Bytes)
[#016] sha256:cf1977cf58aacd2be92d23935dec39498f7793d3f22e712924090ee8d8e457bb - 0.0% (349 Bytes)
[#017] sha256:4b2de789816d5de510c2c8839ed8dfefd844723e836b0726ed65891345e3179a - 6.91% (10 MB)
[#018] sha256:d3ec8f2046c53eb6517520fc74e82026360a985217cc1bc9522c71f85b4f6e22 - 0.0% (3.82 KB)
/bin/sh -c #(nop) ADD file:32d77a56ac954d1cd433a660591f374200929db022f1d0cfcf99eb6ab9e1679c in /
2019-05-08 10:49:55 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-05-08 16:35:40 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2019-05-08 16:35:40 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2019-05-08 16:36:06 UTC/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*
2019-05-08 16:36:06 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2019-05-08 16:36:07 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html
2019-05-08 16:41:56 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2019-05-08 16:41:57 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2019-05-08 16:42:08 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2019-05-08 16:42:09 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2019-05-08 16:42:09 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2019-05-08 16:42:10 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_BUILD_DEPS=apache2-dev
2019-05-08 16:42:10 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--with-apxs2 --disable-cgi
2019-05-08 16:42:10 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 16:42:10 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 16:42:10 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie
2019-05-08 17:04:19 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
2019-05-08 17:04:19 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.2.18
2019-05-08 17:04:19 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror PHP_ASC_URL=https://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
2019-05-08 17:04:19 UTC/bin/sh -c #(nop) ENV PHP_SHA256=9970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d PHP_MD5=
2019-05-08 17:04:30 UTC/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps
2019-05-08 17:04:30 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2019-05-08 17:07:59 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc
2019-05-08 17:08:00 UTC/bin/sh -c #(nop) COPY multi:0002d7d5b06fb24f987aa4b027705dc71f81957419a02be5b9014431514c25b5 in /usr/local/bin/
2019-05-08 17:08:01 UTC/bin/sh -c docker-php-ext-enable sodium
2019-05-08 17:08:01 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2019-05-08 17:08:01 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2019-05-08 17:08:01 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2019-05-08 17:08:01 UTC/bin/sh -c #(nop) EXPOSE 80
2019-05-08 17:08:02 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-09 02:59:04 UTC/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*
2019-05-09 02:59:04 UTC/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini
2019-05-09 02:59:05 UTC/bin/sh -c { echo 'error_reporting = 4339'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini
2019-05-09 02:59:06 UTC/bin/sh -c a2enmod rewrite expires
2019-05-09 02:59:06 UTC/bin/sh -c #(nop) VOLUME [/var/www/html]
2019-05-09 02:59:06 UTC/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1.1
2019-05-09 02:59:06 UTC/bin/sh -c #(nop) ENV WORDPRESS_SHA1=f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
2019-05-09 02:59:09 UTC/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress
2019-05-09 02:59:10 UTC/bin/sh -c #(nop) COPY file:2413d0c63f9d7b1d114697b18317719a02eadaaa61fc5d0c1edd96c027bc57a4 in /usr/local/bin/
2019-05-09 02:59:10 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-05-09 02:59:10 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-08 10:57:41 UTC
140 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_EXTRA_BUILD_DEPSapache2-dev
PHP_EXTRA_CONFIGURE_ARGS--with-apxs2 --disable-cgi
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -Wl,--hash-style=both -pie
PHP_MD5 PHP_SHA2569970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d
PHP_URLhttps://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror
PHP_VERSION7.2.18
WORDPRESS_SHA1f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
WORDPRESS_VERSION5.1.1
[#000] sha256:743f2d6c1f65c793009f30acb07845ba2ef968192732afdab2ecf9a475515393 - 15.35% (21.4 MB)
[#001] sha256:6307e89982cc66cd480a6f5cfe17fabddae5e6ae4e735d8f0bf857892d299772 - 0.0% (226 Bytes)
[#002] sha256:807218e72ce2aeb1df368e9757482e7304772ccf439962eb68d1731a0b023802 - 46.04% (64.3 MB)
[#003] sha256:5108df1d03f88b91e3a940361ab6bc2d60d60a6f52a1ba29d8283a00d71cb0c8 - 0.0% (236 Bytes)
[#004] sha256:901e0b6a7fe58d5615158528d37602cd806ecab9718a880d76f85d609742f5ea - 11.69% (16.3 MB)
[#005] sha256:5ffe11e7ab2c09aa7e0167044fe111b6a03a5e93f517405f4c416e3220e0b197 - 0.0% (429 Bytes)
[#006] sha256:da5f7a5079567ba0d853934f7275591bd53f6740d13e4499a15a9a109982f7e8 - 0.0% (490 Bytes)
[#007] sha256:1828a6068039e36669a6a6b2dde9750808c22d86ac075c99ac739dcbbb1e3b67 - 8.55% (11.9 MB)
[#008] sha256:64e8e1a9a6dd712ede73018cda885173b14dfb5b41d8de2b94a6e40b579b933c - 0.0% (500 Bytes)
[#009] sha256:947776ecc4cf45b79a1eb8811d0cede95489c496920cc63c3504a78d8c57a14e - 10.42% (14.6 MB)
[#010] sha256:983802cfe132fab1cec030a7b88d0cb6315561c92ff7226cce5f851eb206687d - 0.0% (2.15 KB)
[#011] sha256:e372111ec71d644fe9452c7ddb71c723515b94807261e2a9937b1c918adf5716 - 0.0% (259 Bytes)
[#012] sha256:70d278e5adabe0687ae4a5f6ce0a8e99a53f3554bdcdee8b154635cb360d3088 - 0.0% (902 Bytes)
[#013] sha256:587bacc5fdecad23e85db2d3f374c04215917cfa4d3e4389a9ea5d3e9a664671 - 0.76% (1.07 MB)
[#014] sha256:f48ab57771c4277a4351fb6d258de46b0f0ff3b688079cdea8f79f20dd343c3b - 0.0% (349 Bytes)
[#015] sha256:1aa3947d51ba4a46c0db54a0998919661c828353c306b11767bae70482c2871e - 0.0% (345 Bytes)
[#016] sha256:2edd4cdeb18a3fd0ecbdd7a5331d1bf82c5ea9030f109d645a252066ca2b6955 - 0.0% (346 Bytes)
[#017] sha256:35cfa48975870ad4e312f641b1978da7c47545bbb771fd1780425ecf2691aa5b - 7.18% (10 MB)
[#018] sha256:f10539670b6c958bbc3ea1c34d30f040f6dadaada54af500f1f58acef2c47978 - 0.0% (3.82 KB)
/bin/sh -c #(nop) ADD file:fcb9328ea4c1156709f3d04c3d9a5f3667e77fb36a4a83390ae2495555fc0238 in /
2019-05-08 00:33:32 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-05-08 02:29:59 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2019-05-08 02:29:59 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2019-05-08 02:30:20 UTC/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*
2019-05-08 02:30:21 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2019-05-08 02:30:21 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html
2019-05-08 02:37:00 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2019-05-08 02:37:00 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2019-05-08 02:37:11 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2019-05-08 02:37:13 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2019-05-08 02:37:14 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2019-05-08 02:37:15 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_BUILD_DEPS=apache2-dev
2019-05-08 02:37:15 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--with-apxs2 --disable-cgi
2019-05-08 02:37:16 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 02:37:16 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 02:37:17 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie
2019-05-08 03:02:10 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
2019-05-08 03:02:10 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.2.18
2019-05-08 03:02:11 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror PHP_ASC_URL=https://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
2019-05-08 03:02:11 UTC/bin/sh -c #(nop) ENV PHP_SHA256=9970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d PHP_MD5=
2019-05-08 03:02:20 UTC/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps
2019-05-08 03:02:21 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2019-05-08 03:06:04 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc
2019-05-08 03:06:04 UTC/bin/sh -c #(nop) COPY multi:0002d7d5b06fb24f987aa4b027705dc71f81957419a02be5b9014431514c25b5 in /usr/local/bin/
2019-05-08 03:06:05 UTC/bin/sh -c docker-php-ext-enable sodium
2019-05-08 03:06:05 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2019-05-08 03:06:06 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2019-05-08 03:06:06 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2019-05-08 03:06:06 UTC/bin/sh -c #(nop) EXPOSE 80
2019-05-08 03:06:06 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-08 10:57:32 UTC/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*
2019-05-08 10:57:33 UTC/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini
2019-05-08 10:57:34 UTC/bin/sh -c { echo 'error_reporting = 4339'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini
2019-05-08 10:57:35 UTC/bin/sh -c a2enmod rewrite expires
2019-05-08 10:57:36 UTC/bin/sh -c #(nop) VOLUME [/var/www/html]
2019-05-08 10:57:36 UTC/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1.1
2019-05-08 10:57:36 UTC/bin/sh -c #(nop) ENV WORDPRESS_SHA1=f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
2019-05-08 10:57:40 UTC/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress
2019-05-08 10:57:40 UTC/bin/sh -c #(nop) COPY file:2413d0c63f9d7b1d114697b18317719a02eadaaa61fc5d0c1edd96c027bc57a4 in /usr/local/bin/
2019-05-08 10:57:40 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-05-08 10:57:41 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-08 14:58:04 UTC
128 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_EXTRA_BUILD_DEPSapache2-dev
PHP_EXTRA_CONFIGURE_ARGS--with-apxs2 --disable-cgi
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -Wl,--hash-style=both -pie
PHP_MD5 PHP_SHA2569970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d
PHP_URLhttps://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror
PHP_VERSION7.2.18
WORDPRESS_SHA1f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
WORDPRESS_VERSION5.1.1
[#000] sha256:f23f9ce99dc288927adafc8d503252a16b6ea2b40c9cb0dca688223c56bd0235 - 15.81% (20.2 MB)
[#001] sha256:375098c17606cf891dc6c2de639c2d9b69384583b36d1f12394d245cb131e539 - 0.0% (228 Bytes)
[#002] sha256:091ccac4f8817d1ccf73efd2fd3d421caaea5daab5cf6c0574ba160a012728d2 - 42.94% (54.8 MB)
[#003] sha256:825181d9c853e494b46e5d4a8d3eb39bb10ec9f0c5cab11f274faec90f876cef - 0.0% (286 Bytes)
[#004] sha256:099d1d7d4434733003b46ad3c7824ce4e924bc48db25b33413a65c77ad3dfe2d - 12.44% (15.9 MB)
[#005] sha256:15629ed4b2662d162ebc33e2d122007c635a7254b4b55d0edf277dec13d74c9a - 0.0% (474 Bytes)
[#006] sha256:560f7cc5ef807ab6fb5da234ac471e25d0aa2a5aa7015801be27d254ff521db0 - 0.0% (511 Bytes)
[#007] sha256:63ed55fb0e29257200bad64eb32dc4df9ae1697039d9cd0c1d63ab89382f860a - 9.35% (11.9 MB)
[#008] sha256:21ce0d9be832a74c10d5569cc2c521882ed76cf6d0f72d6fae269019274970f7 - 0.0% (500 Bytes)
[#009] sha256:f283764e3f71ca743a35e1a267d5d7f8ec64b07609d8ffcbacb86278447d88d6 - 10.79% (13.8 MB)
[#010] sha256:4ee38b052ee4cc010acd1022038e1df977e0e42a2ec390e2867641104d5e019b - 0.0% (2.15 KB)
[#011] sha256:3a8800484dd54c7e356818bab73be0f919b426d3116b53500bc7084385006441 - 0.0% (261 Bytes)
[#012] sha256:49e6b47734f07e361593c57a300550ed5ad7e2031f4646d2bd22a44788c2c5ef - 0.0% (904 Bytes)
[#013] sha256:3bd45b3a0d5f9b35511e43ad9283a953f798725e7632600f92beb72f21415c52 - 0.8% (1.02 MB)
[#014] sha256:6a4d3baf3eedd715cca834cc3c57f223a2e88c6c345d83515a21def98072bf02 - 0.0% (348 Bytes)
[#015] sha256:c61da4ed707b1527b3a1d70ea45e55310f331eb0fdb2b0ae3f333c08b0db68ea - 0.0% (345 Bytes)
[#016] sha256:ba30a9eb4caffde19275befd622c8219d043ad64200c2d3bb45ff28af32a5e75 - 0.0% (348 Bytes)
[#017] sha256:a026e218bf16fe8ca0e58dc9c8f7c296447b9150c4a9a4a575b23f278f6383a9 - 7.86% (10 MB)
[#018] sha256:396fe60e6fba941a1750630b0e95674bcde599d739053257eb358ebc974b40a6 - 0.0% (3.81 KB)
/bin/sh -c #(nop) ADD file:d9cc007a953434e1439cc534f397967f4f0f1bf149f1288a52f6209eca436852 in /
2019-05-08 08:53:39 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-05-08 09:48:37 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2019-05-08 09:48:38 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2019-05-08 09:49:17 UTC/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*
2019-05-08 09:49:18 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2019-05-08 09:49:20 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html
2019-05-08 09:53:54 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2019-05-08 09:53:54 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2019-05-08 09:54:15 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2019-05-08 09:54:17 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2019-05-08 09:54:18 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2019-05-08 09:54:19 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_BUILD_DEPS=apache2-dev
2019-05-08 09:54:19 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--with-apxs2 --disable-cgi
2019-05-08 09:54:20 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 09:54:20 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 09:54:21 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie
2019-05-08 10:11:33 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
2019-05-08 10:11:33 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.2.18
2019-05-08 10:11:33 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror PHP_ASC_URL=https://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
2019-05-08 10:11:34 UTC/bin/sh -c #(nop) ENV PHP_SHA256=9970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d PHP_MD5=
2019-05-08 10:11:50 UTC/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps
2019-05-08 10:11:50 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2019-05-08 10:15:09 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc
2019-05-08 10:15:11 UTC/bin/sh -c #(nop) COPY multi:0002d7d5b06fb24f987aa4b027705dc71f81957419a02be5b9014431514c25b5 in /usr/local/bin/
2019-05-08 10:15:12 UTC/bin/sh -c docker-php-ext-enable sodium
2019-05-08 10:15:13 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2019-05-08 10:15:13 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2019-05-08 10:15:14 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2019-05-08 10:15:14 UTC/bin/sh -c #(nop) EXPOSE 80
2019-05-08 10:15:15 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-08 14:57:49 UTC/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*
2019-05-08 14:57:50 UTC/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini
2019-05-08 14:57:53 UTC/bin/sh -c { echo 'error_reporting = 4339'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini
2019-05-08 14:57:54 UTC/bin/sh -c a2enmod rewrite expires
2019-05-08 14:57:55 UTC/bin/sh -c #(nop) VOLUME [/var/www/html]
2019-05-08 14:57:55 UTC/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1.1
2019-05-08 14:57:56 UTC/bin/sh -c #(nop) ENV WORDPRESS_SHA1=f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
2019-05-08 14:58:02 UTC/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress
2019-05-08 14:58:03 UTC/bin/sh -c #(nop) COPY file:2413d0c63f9d7b1d114697b18317719a02eadaaa61fc5d0c1edd96c027bc57a4 in /usr/local/bin/
2019-05-08 14:58:03 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-05-08 14:58:04 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-08 19:24:11 UTC
121 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_EXTRA_BUILD_DEPSapache2-dev
PHP_EXTRA_CONFIGURE_ARGS--with-apxs2 --disable-cgi
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -Wl,--hash-style=both -pie
PHP_MD5 PHP_SHA2569970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d
PHP_URLhttps://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror
PHP_VERSION7.2.18
WORDPRESS_SHA1f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
WORDPRESS_VERSION5.1.1
[#000] sha256:b0727b1ec48ef8920082aec023c050c83b563ae08080d9951d68fba55934bbd6 - 15.22% (18.4 MB)
[#001] sha256:3e208b62bc2ef8e00c39842047e209f0ee05486c604af8359d624ad326285642 - 0.0% (225 Bytes)
[#002] sha256:0b654776010960d429044df18c3d563b768a92d765adb835d874503dbc872672 - 42.3% (51.1 MB)
[#003] sha256:0718556bb7e27c667cb22749130f30d651e5cb73cc88535d3cbb2f7a4fe6224e - 0.0% (286 Bytes)
[#004] sha256:21d279750d7c2122da564efb42a89a55b0a6cba5f6a2ac0f7a97191db4ae4fe6 - 12.76% (15.4 MB)
[#005] sha256:a060b1fb5eab7537b954cc199873b54c44dcbddbfab9c2bb3e8bfdc8c51ec2ce - 0.0% (475 Bytes)
[#006] sha256:56397f3718603009afb913087c72dc6bb3b6465bb82f8f00c6bc4550aec76747 - 0.0% (516 Bytes)
[#007] sha256:33a876347ed68800eeeeb116c1bb19b3ca28406502c4d886ddb28764a366ca16 - 9.88% (11.9 MB)
[#008] sha256:cff489c07f8bcacc5ae5237e8b94b22a4d79a808fa719465252eb714401ad3a2 - 0.0% (500 Bytes)
[#009] sha256:0ff6b302cf9141ec6967c34223f4592cb2d2080c7ce37ec63ad78fe6b03e26e3 - 10.74% (13 MB)
[#010] sha256:3230c85833223e96b2aaf7660c6a982e55dfaee9d01ce2cc034061102d889289 - 0.0% (2.15 KB)
[#011] sha256:f78e893527b57310898c2a541afdd9d5e1f3cd44dfdf986807f9fc6cc62dc854 - 0.0% (258 Bytes)
[#012] sha256:8c10fe6ac7808f8919645bcaede9045e73674d97bc555e1f6badcb27bc5aa3b4 - 0.0% (903 Bytes)
[#013] sha256:892cb1ab67b41f385cc66444d87bb1683cc0859dd1d96108d979040c698b0969 - 0.79% (982 KB)
[#014] sha256:b709b6a3bda2380a825df73374c93e3a7097280aa6f24650772bc93c61f4a23f - 0.0% (347 Bytes)
[#015] sha256:9212bdc8fc0f88807aa86e210ee82eb39136a4fc2be12f313b577df91d9aa5dc - 0.0% (344 Bytes)
[#016] sha256:2795414a901bee9c397a3c3aa0f1ddef200f5e0c43fe6806e39530b74777d31b - 0.0% (346 Bytes)
[#017] sha256:2458ca35232d77205d5d5b3ee8efdbc48bd4271ef7eb449b0190729ac2b56ff9 - 8.3% (10 MB)
[#018] sha256:930e2e8bad43c57b81e52cac3abe8b3d80e6295df2023dabf2b0db3434024355 - 0.0% (3.81 KB)
/bin/sh -c #(nop) ADD file:7813549b5e7862c4d5ecec9e7d8da27b520dd2cc1433e66637c57bb695d4f55a in /
2019-05-08 12:03:54 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-05-08 14:37:05 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2019-05-08 14:37:06 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2019-05-08 14:37:37 UTC/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*
2019-05-08 14:37:39 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2019-05-08 14:37:40 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html
2019-05-08 14:42:38 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2019-05-08 14:42:39 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2019-05-08 14:42:56 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2019-05-08 14:42:58 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2019-05-08 14:42:59 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2019-05-08 14:43:00 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_BUILD_DEPS=apache2-dev
2019-05-08 14:43:00 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--with-apxs2 --disable-cgi
2019-05-08 14:43:01 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 14:43:01 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 14:43:02 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie
2019-05-08 14:59:32 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
2019-05-08 14:59:32 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.2.18
2019-05-08 14:59:33 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror PHP_ASC_URL=https://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
2019-05-08 14:59:33 UTC/bin/sh -c #(nop) ENV PHP_SHA256=9970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d PHP_MD5=
2019-05-08 14:59:50 UTC/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps
2019-05-08 14:59:51 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2019-05-08 15:02:53 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc
2019-05-08 15:02:55 UTC/bin/sh -c #(nop) COPY multi:0002d7d5b06fb24f987aa4b027705dc71f81957419a02be5b9014431514c25b5 in /usr/local/bin/
2019-05-08 15:02:57 UTC/bin/sh -c docker-php-ext-enable sodium
2019-05-08 15:02:57 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2019-05-08 15:02:58 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2019-05-08 15:02:58 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2019-05-08 15:02:59 UTC/bin/sh -c #(nop) EXPOSE 80
2019-05-08 15:02:59 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-08 19:23:56 UTC/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*
2019-05-08 19:23:58 UTC/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini
2019-05-08 19:24:00 UTC/bin/sh -c { echo 'error_reporting = 4339'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini
2019-05-08 19:24:02 UTC/bin/sh -c a2enmod rewrite expires
2019-05-08 19:24:02 UTC/bin/sh -c #(nop) VOLUME [/var/www/html]
2019-05-08 19:24:02 UTC/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1.1
2019-05-08 19:24:03 UTC/bin/sh -c #(nop) ENV WORDPRESS_SHA1=f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
2019-05-08 19:24:10 UTC/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress
2019-05-08 19:24:11 UTC/bin/sh -c #(nop) COPY file:2413d0c63f9d7b1d114697b18317719a02eadaaa61fc5d0c1edd96c027bc57a4 in /usr/local/bin/
2019-05-08 19:24:11 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-05-08 19:24:11 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-09 05:23:04 UTC
127 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_EXTRA_BUILD_DEPSapache2-dev
PHP_EXTRA_CONFIGURE_ARGS--with-apxs2 --disable-cgi
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -Wl,--hash-style=both -pie
PHP_MD5 PHP_SHA2569970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d
PHP_URLhttps://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror
PHP_VERSION7.2.18
WORDPRESS_SHA1f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
WORDPRESS_VERSION5.1.1
[#000] sha256:29b80961214d7f0c89081fe8134e6e8e14ccfa1afe001357539f59930ff9e3ef - 15.29% (19.4 MB)
[#001] sha256:c464e0aa7adeb5e55d7df8b120051a7bdd336fb0faab135c04df5e3e887ed3fb - 0.0% (226 Bytes)
[#002] sha256:cad4bc5a0a54ebdbf76a7737fc8d1e553158b46de730f70187e33551dbc5d85b - 43.32% (54.9 MB)
[#003] sha256:419e6ba096d5dfce8601eda2dea8e77959dff47ce21f4817d2b1a0ee51c731ed - 0.0% (235 Bytes)
[#004] sha256:b15158cb4e16834f38a237f730a690efc20a4a9694170cc0bcdcaa441e5cb52f - 12.56% (15.9 MB)
[#005] sha256:0c7a21124e14ff0f63742e18386d6c0999dac9080acf155aa7927ac6206e97fd - 0.0% (437 Bytes)
[#006] sha256:22f5a7958080a9dfd06dee20429a83489c6753921ab2b5bd18252a0cd64acfa1 - 0.0% (491 Bytes)
[#007] sha256:68d73a231f4080e449e68e6502533ec427a7b766c85d31a09f22d13191f765ea - 9.42% (11.9 MB)
[#008] sha256:19691ffc177e30c79f20a75ac96c12ffd081688c45bd4529e07c6292cf1d6d1b - 0.0% (500 Bytes)
[#009] sha256:5bd777d47d57316bc1220d04b66d6576368950707b2a0f871bcd8a82864e2a9d - 10.71% (13.6 MB)
[#010] sha256:25e16be802a9018dec3f0cc8a2c345cce185b37fe8c01f323cd899722b69ac44 - 0.0% (2.15 KB)
[#011] sha256:8bdfeeb7bd495fa9c974d8cd8659e32312d855bbd4df206a1f7057068407323d - 0.0% (259 Bytes)
[#012] sha256:a4e5a9bc30afea7feb6df63482956ec64391a0b0305093ae8f6415624ed01a79 - 0.0% (903 Bytes)
[#013] sha256:56b7248c4924d047cf58704930dcac33840db90e5d6def862398f721fdc3f419 - 0.79% (1020 KB)
[#014] sha256:e7657a68940e5a05e3a8448e67d89cb2e369d727e61d606336eff4d99dde2b77 - 0.0% (350 Bytes)
[#015] sha256:0f483f1b1052cde1c8a756ae0d41fcad8d1f7154ca37facf802c32f6a3479a0f - 0.0% (345 Bytes)
[#016] sha256:10869faaa6a0fda86848cf066b233f22cd74b1455a6dcb5736fd9e11c456ba8f - 0.0% (350 Bytes)
[#017] sha256:c2d7e59c96071e2062f9439fbbeb6cf6626c0bc0389b760f6423d36e37c7c298 - 7.91% (10 MB)
[#018] sha256:46d163715a63eff7bea7db01adc867285789fefd68894816308a81759dd55709 - 0.0% (3.82 KB)
/bin/sh -c #(nop) ADD file:fadb1563a7cd043d96e76895bb1bb3920f9a9262206eb9bcd4ef4b5aec8d9b35 in /
2019-05-08 08:49:03 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-05-08 13:21:24 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2019-05-08 13:21:25 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2019-05-08 13:22:37 UTC/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*
2019-05-08 13:22:38 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2019-05-08 13:22:40 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html
2019-05-08 13:33:17 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2019-05-08 13:33:18 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2019-05-08 13:33:56 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2019-05-08 13:33:58 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2019-05-08 13:34:00 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2019-05-08 13:34:01 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_BUILD_DEPS=apache2-dev
2019-05-08 13:34:02 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--with-apxs2 --disable-cgi
2019-05-08 13:34:02 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 13:34:04 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 13:34:04 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie
2019-05-08 14:17:39 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
2019-05-08 14:17:40 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.2.18
2019-05-08 14:17:41 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror PHP_ASC_URL=https://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
2019-05-08 14:17:42 UTC/bin/sh -c #(nop) ENV PHP_SHA256=9970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d PHP_MD5=
2019-05-08 14:18:13 UTC/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps
2019-05-08 14:18:14 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2019-05-08 14:24:59 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc
2019-05-08 14:25:00 UTC/bin/sh -c #(nop) COPY multi:0002d7d5b06fb24f987aa4b027705dc71f81957419a02be5b9014431514c25b5 in /usr/local/bin/
2019-05-08 14:25:03 UTC/bin/sh -c docker-php-ext-enable sodium
2019-05-08 14:25:04 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2019-05-08 14:25:05 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2019-05-08 14:25:06 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2019-05-08 14:25:08 UTC/bin/sh -c #(nop) EXPOSE 80
2019-05-08 14:25:09 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-09 05:22:49 UTC/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*
2019-05-09 05:22:51 UTC/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini
2019-05-09 05:22:53 UTC/bin/sh -c { echo 'error_reporting = 4339'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini
2019-05-09 05:22:55 UTC/bin/sh -c a2enmod rewrite expires
2019-05-09 05:22:55 UTC/bin/sh -c #(nop) VOLUME [/var/www/html]
2019-05-09 05:22:56 UTC/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1.1
2019-05-09 05:22:57 UTC/bin/sh -c #(nop) ENV WORDPRESS_SHA1=f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
2019-05-09 05:23:02 UTC/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress
2019-05-09 05:23:03 UTC/bin/sh -c #(nop) COPY file:2413d0c63f9d7b1d114697b18317719a02eadaaa61fc5d0c1edd96c027bc57a4 in /usr/local/bin/
2019-05-09 05:23:03 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-05-09 05:23:04 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-09 02:26:41 UTC
135 MB
/etc/apache2
APACHE_ENVVARS/etc/apache2/envvars
GPG_KEYS1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_EXTRA_BUILD_DEPSapache2-dev
PHP_EXTRA_CONFIGURE_ARGS--with-apxs2 --disable-cgi
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -Wl,--hash-style=both -pie
PHP_MD5 PHP_SHA2569970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d
PHP_URLhttps://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror
PHP_VERSION7.2.18
WORDPRESS_SHA1f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
WORDPRESS_VERSION5.1.1
[#000] sha256:64bfe8794b280a764f2e07634dce2977621d140ae17fb34a03635710e84c3dfb - 16.11% (21.7 MB)
[#001] sha256:a41e81735fa83432331becf8dd5c79995a99c53ff4febd68f25916282e96fee5 - 0.0% (230 Bytes)
[#002] sha256:74dcd7f44931915566fc2ab31df6e0da7972d7c1761a1e352f59834ab7b12288 - 43.81% (59 MB)
[#003] sha256:8267f05b2cde025cb67ff60ba71e3ab4bb1d8c894385033a77f3592d3d86a1e9 - 0.0% (286 Bytes)
[#004] sha256:0b7902741744762d78bf30128d3aaad75defd223148cf4e8013abf2b472a23e7 - 12.29% (16.5 MB)
[#005] sha256:c8304e87d7eae9b221a89adc93eabf206be22236d6aa8fd6ef9bb71b82bd3349 - 0.0% (479 Bytes)
[#006] sha256:480539350c707aed3dba31a230406b23f267cb31ec2d6fa3dc7f239af8dcb64e - 0.0% (518 Bytes)
[#007] sha256:9a5f59168f7acd95d0c183946b56d3b084aef8350f8e368b4c54d0d8a9e81343 - 8.87% (11.9 MB)
[#008] sha256:ca06cfad402571a36dab9b350760456c06eb6ff69d86860e01815c448febf608 - 0.0% (499 Bytes)
[#009] sha256:feefdd256094a8cd3578d49e543d314c3a0373117d7c88625485af617daf2f01 - 10.66% (14.4 MB)
[#010] sha256:ddcba8d0f1ead1960e4ed8a8f9ce0987a2ce40cdb35c37ae7e7b0a8347c4145c - 0.0% (2.15 KB)
[#011] sha256:e659b52fd9017cb4c492b613e5a79ce0ccdb48083cbc7c4b0279405f14ff7ac1 - 0.0% (262 Bytes)
[#012] sha256:bd234b7aca9a35086eb63ad27b187b272fd97f0a966f6620e532a0c683e8b2dd - 0.0% (904 Bytes)
[#013] sha256:320694173294f26bcd280276f419bbae4700896244cd69d0b6b20ff0948945f1 - 0.8% (1.07 MB)
[#014] sha256:b0c7383987ad98c809611220cb6a06c0980fd12eb4359605e206b64840a2733e - 0.0% (350 Bytes)
[#015] sha256:758d83d570d0edb6dc53d8b30da4e7a58e36c7b6e18ccc1c86356623749123b2 - 0.0% (346 Bytes)
[#016] sha256:cc8706c7b4975e37a997f82f85f07a50043b4f6ceecf8f223c64843ca9611a88 - 0.0% (349 Bytes)
[#017] sha256:4cbca204027dab7f7d420bf64e31ba5468a6e4545ce2720ce4e9a9e7e9b795c6 - 7.45% (10 MB)
[#018] sha256:d230152d8f2716855e66317e2d2d2e3bdcfcfd6aa87f58d117fd8c22eeadc48d - 0.0% (3.82 KB)
/bin/sh -c #(nop) ADD file:fa23694e2ef3b1ff3ac824d7d18d6951725f7f1ebfd5350392edd91f6b90d89e in /
2019-05-08 09:05:50 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-05-08 16:33:12 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2019-05-08 16:33:15 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2019-05-08 16:36:22 UTC/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*
2019-05-08 16:36:29 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2019-05-08 16:36:37 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html
2019-05-08 16:45:05 UTC/bin/sh -c #(nop) ENV APACHE_CONFDIR=/etc/apache2
2019-05-08 16:45:07 UTC/bin/sh -c #(nop) ENV APACHE_ENVVARS=/etc/apache2/envvars
2019-05-08 16:46:09 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends apache2; rm -rf /var/lib/apt/lists/*; sed -ri 's/^export ([^=]+)=(.*)$/: ${\1:=\2}\nexport \1/' "$APACHE_ENVVARS"; . "$APACHE_ENVVARS"; for dir in "$APACHE_LOCK_DIR" "$APACHE_RUN_DIR" "$APACHE_LOG_DIR" ; do rm -rvf "$dir"; mkdir -p "$dir"; chown "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$dir"; chmod 777 "$dir"; done; rm -rvf /var/www/html/*; ln -sfT /dev/stderr "$APACHE_LOG_DIR/error.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/access.log"; ln -sfT /dev/stdout "$APACHE_LOG_DIR/other_vhosts_access.log"; chown -R --no-dereference "$APACHE_RUN_USER:$APACHE_RUN_GROUP" "$APACHE_LOG_DIR"
2019-05-08 16:46:21 UTC/bin/sh -c a2dismod mpm_event && a2enmod mpm_prefork
2019-05-08 16:46:32 UTC/bin/sh -c { echo '<FilesMatch \.php$>'; echo '\tSetHandler application/x-httpd-php'; echo '</FilesMatch>'; echo; echo 'DirectoryIndex disabled'; echo 'DirectoryIndex index.php index.html'; echo; echo '<Directory /var/www/>'; echo '\tOptions -Indexes'; echo '\tAllowOverride All'; echo '</Directory>'; } | tee "$APACHE_CONFDIR/conf-available/docker-php.conf" && a2enconf docker-php
2019-05-08 16:46:36 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_BUILD_DEPS=apache2-dev
2019-05-08 16:46:39 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--with-apxs2 --disable-cgi
2019-05-08 16:46:41 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 16:46:44 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-05-08 16:46:47 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie
2019-05-08 17:22:31 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
2019-05-08 17:22:37 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.2.18
2019-05-08 17:22:45 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/get/php-7.2.18.tar.xz/from/this/mirror PHP_ASC_URL=https://www.php.net/get/php-7.2.18.tar.xz.asc/from/this/mirror
2019-05-08 17:22:53 UTC/bin/sh -c #(nop) ENV PHP_SHA256=9970dbb3ab1298c9e6aac54bebfa841c8ad14b18eead65594a68fa841364cb8d PHP_MD5=
2019-05-08 17:25:03 UTC/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps
2019-05-08 17:25:06 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2019-05-08 17:35:12 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc
2019-05-08 17:35:16 UTC/bin/sh -c #(nop) COPY multi:0002d7d5b06fb24f987aa4b027705dc71f81957419a02be5b9014431514c25b5 in /usr/local/bin/
2019-05-08 17:35:24 UTC/bin/sh -c docker-php-ext-enable sodium
2019-05-08 17:35:30 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2019-05-08 17:35:32 UTC/bin/sh -c #(nop) COPY file:e3123fcb6566efa979f945bfac1c94c854a559d7b82723e42118882a8ac4de66 in /usr/local/bin/
2019-05-08 17:35:41 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2019-05-08 17:35:45 UTC/bin/sh -c #(nop) EXPOSE 80
2019-05-08 17:35:51 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
2019-05-09 02:25:55 UTC/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*
2019-05-09 02:26:00 UTC/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini
2019-05-09 02:26:05 UTC/bin/sh -c { echo 'error_reporting = 4339'; echo 'display_errors = Off'; echo 'display_startup_errors = Off'; echo 'log_errors = On'; echo 'error_log = /dev/stderr'; echo 'log_errors_max_len = 1024'; echo 'ignore_repeated_errors = On'; echo 'ignore_repeated_source = Off'; echo 'html_errors = Off'; } > /usr/local/etc/php/conf.d/error-logging.ini
2019-05-09 02:26:11 UTC/bin/sh -c a2enmod rewrite expires
2019-05-09 02:26:13 UTC/bin/sh -c #(nop) VOLUME [/var/www/html]
2019-05-09 02:26:15 UTC/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1.1
2019-05-09 02:26:19 UTC/bin/sh -c #(nop) ENV WORDPRESS_SHA1=f1bff89cc360bf5ef7086594e8a9b68b4cbf2192
2019-05-09 02:26:30 UTC/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress
2019-05-09 02:26:32 UTC/bin/sh -c #(nop) COPY file:2413d0c63f9d7b1d114697b18317719a02eadaaa61fc5d0c1edd96c027bc57a4 in /usr/local/bin/
2019-05-09 02:26:35 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2019-05-09 02:26:41 UTC/bin/sh -c #(nop) CMD ["apache2-foreground"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.